Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List support agents

GET/workspaces/{organizationId}/support/agents
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Agents

agentsobject[]required
Show properties
Array of object
userIdstringrequired
namestringrequired
emailstringrequired
statusstringrequired
Allowed:activeawaysnoozedoffline
untilstring<date-time> | null
openTicketsintegerrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/support/agents' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "agents": [
    {
      "userId": "string",
      "name": "string",
      "email": "string",
      "status": "active",
      "until": "2019-08-24T14:15:22Z",
      "openTickets": 0
    }
  ]
}

Was this page helpful?